NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
NXOpen.Routing.IAxisPort Member List

This is the complete list of members for NXOpen.Routing.IAxisPort, including all inherited members.

AxisNXOpen.Routing.IAxisPort
CutbackLengthObjectNXOpen.Routing.IAxisPort
DeleteCharacterstics(NXOpen.Routing.CharacteristicList values)NXOpen.Routing.ICharacteristic
EngagementObjectNXOpen.Routing.IAxisPort
FindObject(string journalIdentifier)NXOpen.INXObject
ForwardExtensionObjectNXOpen.Routing.IAxisPort
GetCharacteristics()NXOpen.Routing.ICharacteristic
GetDestinationCharacteristics()NXOpen.Routing.ICharacteristic
GetIntegerCharacteristic(string name)NXOpen.Routing.ICharacteristic
GetRealCharacteristic(string name)NXOpen.Routing.ICharacteristic
GetStringCharacteristic(string name)NXOpen.Routing.ICharacteristic
IsOccurrenceNXOpen.INXObject
JournalIdentifierNXOpen.INXObject
NameNXOpen.INXObject
OwningComponentNXOpen.INXObject
OwningPartNXOpen.INXObject
PointNXOpen.Routing.IRoutePosition
PositionNXOpen.Routing.IRoutePosition
Print()NXOpen.INXObject
PrototypeNXOpen.INXObject
SetAlignVector(NXOpen.Vector3d vector)NXOpen.Routing.IAxisPort
SetCharacteristic(string name, int value)NXOpen.Routing.ICharacteristic
SetCharacteristic(string name, double value)NXOpen.Routing.ICharacteristic
SetCharacteristic(string name, string value)NXOpen.Routing.ICharacteristic
SetCharacteristic2(string title, int value)NXOpen.Routing.ICharacteristic
SetCharacteristic2(string title, double value)NXOpen.Routing.ICharacteristic
SetCharacteristic2(string title, string value)NXOpen.Routing.ICharacteristic
SetCharacteristics(NXOpen.Routing.CharacteristicList values)NXOpen.Routing.ICharacteristic
SetCharacteristics2(NXOpen.Routing.CharacteristicList values)NXOpen.Routing.ICharacteristic
SetCutbackLength(double cutbackLength)NXOpen.Routing.IAxisPort
SetEngagement(double engagement)NXOpen.Routing.IAxisPort
SetForwardExtension(double forwardExtension)NXOpen.Routing.IAxisPort
SetName(string name)NXOpen.INXObject
SetRotationObject(NXOpen.DisplayableObject rotationObject)NXOpen.Routing.IAxisPort
SetRotationVector(NXOpen.Vector3d vector)NXOpen.Routing.IAxisPort
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.